package zero1hd.rhythmbullet.entity.enemies;

import java.util.HashMap;

import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.Sprite;
import com.badlogic.gdx.utils.Pool.Poolable;

import zero1hd.rhythmbullet.RhythmBullet;
import zero1hd.rhythmbullet.entity.Entity;
import zero1hd.rhythmbullet.entity.EntityIndex;

public class Pellet extends Entity implements Poolable {
	private boolean dead;
	
	@Override
	public void preInit() {
		sprite = new Sprite(assets.get("pellet.png", Texture.class));
		enemy = true;
		setSize(0.5f, 0.5f);
		super.preInit();
	}
	
	public void init(float x, float y, float angle, float rate) {
		setPosition(x, y);
		this.speed = rate;
		this.angle = angle;
	}
	
	
	/**
	 * Vars: x, y, speed, angle;
	 */
	@Override
	public void init(HashMap<String, Float> params) {
		setPosition(params.get("x"), params.get("y"));
		speed = params.get("speed");
		angle = params.get("angle");
		
		super.init(params);
	}
	
	@Override
	public void act(float delta) {
		super.act(delta);
	}
	
	@Override
	public void collided(Entity entity) {
		switch (entity.getEntityType()) {
		default:
			dead = true;
			break;
		}
		super.collided(entity);
	}

	@Override
	public EntityIndex getEntityType() {
		return EntityIndex.PELLET;
	}

	@Override
	public boolean isDead() {
		return dead;
	}

	@Override
	public void reset() {
		dead = false;
		super.reset();
	}

}
