package zero1hd.rhythmbullet.screens;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.InputMultiplexer;
import com.badlogic.gdx.Preferences;
import com.badlogic.gdx.ScreenAdapter;
import com.badlogic.gdx.graphics.GL20;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;

import zero1hd.rhythmbullet.RhythmBullet;
import zero1hd.rhythmbullet.ui.stages.CreativeHUD;
import zero1hd.rhythmbullet.ui.stages.GamePlayArea;

public class CreativeDebugScreen extends ScreenAdapter {
	CreativeHUD creative;
	GamePlayArea gamePlayArea;
	InputMultiplexer inputs;
	
	SpriteBatch bgBatch;
	private Texture background;
	
	Preferences prefs;
	
	public CreativeDebugScreen(RhythmBullet core, MainMenu mainMenu) {
		gamePlayArea = new GamePlayArea(core.getAssetManager(), core.getPrefs());
		creative = new CreativeHUD(core, mainMenu, gamePlayArea);
		
		inputs = new InputMultiplexer(creative, gamePlayArea);
		
		this.prefs = core.getPrefs();
		
		background = core.getAssetManager().get("star_bg.png");
		bgBatch = new SpriteBatch(1);

	}
	
	@Override
	public void show() {
		Gdx.input.setInputProcessor(inputs);
		gamePlayArea.loadShaders(prefs);
		super.show();
	}
	
	@Override
	public void render(float delta) {
		Gdx.gl.glClearColor(0.2f, 0.2f, 0.2f, 1f);
        Gdx.gl.glClear(GL20.GL_COLOR_BUFFER_BIT | GL20.GL_DEPTH_BUFFER_BIT);

		bgBatch.begin();
		bgBatch.draw(background, 0f, 0f);
		bgBatch.end();
        
		gamePlayArea.getViewport().apply();
		gamePlayArea.act();
		gamePlayArea.draw();
		
		creative.getViewport().apply();
		creative.act();
		creative.draw();
		super.render(delta);
	}
	
	@Override
	public void resize(int width, int height) {
		super.resize(width, height);
	}
	
	@Override
	public void dispose() {
		dispose();
		super.dispose();
	}
}
