package zero1hd.rhythmbullet.ui.builders;

import com.badlogic.gdx.math.MathUtils;
import com.badlogic.gdx.scenes.scene2d.actions.Actions;
import com.badlogic.gdx.scenes.scene2d.ui.Image;
import com.badlogic.gdx.scenes.scene2d.ui.Skin;
import com.badlogic.gdx.scenes.scene2d.ui.WidgetGroup;

public class HealthBar extends WidgetGroup {
	Image empty;
	Image filler;
	int health;
	int maxHealth;
	public HealthBar(Skin skin, int maxHealth) {
		super();
		filler = new Image(skin.getPatch("bar-fill"));
		addActor(filler);

		empty = new Image(skin.getPatch("bar-empty"));
		addActor(empty);


		this.maxHealth = maxHealth;
		
	}
	
	public void setHealth(int health) {
		this.health = health;
		
		filler.addAction(Actions.sizeTo(getWidth(), MathUtils.round((health/maxHealth)*getHeight()), 0.1f));;
	}
	
	@Override
	public void setSize(float width, float height) {
		empty.setSize(width, height);
		filler.setSize(width, height);
		super.setSize(width, height);
	}
	
	@Override
	public void setWidth(float width) {
		empty.setWidth(width);
		filler.setWidth(width);
		super.setWidth(width);
	}
	
	@Override
	public void setHeight(float height) {
		empty.setHeight(height);
		super.setHeight(height);
	}
}
