package zero1hd.rhythmbullet.ui.windows;

import com.badlogic.gdx.scenes.scene2d.ui.Skin;
import com.badlogic.gdx.scenes.scene2d.ui.Window;
import com.badlogic.gdx.utils.FloatArray;

import zero1hd.rhythmbullet.audio.AudioData;
import zero1hd.rhythmbullet.ui.builders.AudioGraph;

public class MGraphWindow extends Window {
	private AudioGraph graph;
	private AudioData audioData;

	public MGraphWindow(String title, Skin skin) {
		super(title, skin, "tinted");
		graph = new AudioGraph(300, 150);
		add(graph);
		pack();
	}
	
	@Override
	public void act(float delta) {
		if (audioData != null) {
			graph.setAudioDataIndex(audioData.getReadIndex());
		}
		super.act(delta);
	}
	
	public AudioGraph getGraph() {
		return graph;
	}
	
	public void setData(FloatArray dataSet1, FloatArray dataSet2, AudioData audioData) {
		this.audioData = audioData;
		graph.setGraphingData(dataSet1, dataSet2);
	}
}
